<template>
  <div class="search_wrap">
    <h1>Find your movie</h1>
    <div>
      <div class="search">
        <input type="text" class="search_input" placeholder="Search for movies" v-model="searchText" />
        <button class="search_btn" @click="updateMovies" >Search</button>
      </div>
      <radio-buttons
        left-button-id="Title"
        left-button-value="title"
        right-button-value="genres"
        right-button-id="Genre"
        radio-button-name="Search by"
        v-model="searchByType"
      >
      </radio-buttons>
    </div>
  </div>
</template>


<script>
import RadioButtons from "./RadioButtons";
import {mapActions} from "vuex";
export default {
  name: "SearchBar",
  components: { RadioButtons },
  computed: {
    searchText: {
      get: function() {
        return this.$store.state.searchText
      },
      set: function(value) {
        this.$store.commit("setSearchText", value)
      }
    },
    searchByType: {
      get: function() {
        return this.$store.state.searchByType
      },
      set: function(value) {
        this.$store.commit("setSearchBy", value)
      }
    }
  },
  methods: {
    ...mapActions(["updateMovies"])
  }
};
</script>

<style scoped lang="scss">
  h1 {
    font: 30px/1.2 "Trebuchet MS", Arial, sans-serif;
    color: #fff;
    margin: 0 0 30px;
    text-transform: uppercase;
  }
  .search_wrap {
    max-width: 1200px;
    padding: 20px;
    margin: 0 auto;
  }
  .search {
    width: 100%;
    overflow: hidden;
  }
  .search_input {
    float: left;
    width: 80%;
    font: 20px/1.2 "Trebuchet MS", Arial, sans-serif;
    color: #fff;
    margin-right: 2%;
    background: rgba(28, 28, 28, .8);
    padding: 10px;
    border-radius: 3px;
    border: 0;
    box-sizing: border-box;
    outline: none;
  }
  .search_btn {
    float: left;
    font: 20px/1.2 "Trebuchet MS", Arial, sans-serif;
    color: #fff;
    padding: 10px;
    width: 18%;
    background: #f65261;
    border-radius: 4px;
    border: 0;
    box-sizing: border-box;
  }
</style>
